*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


/* Establece la fuente y el color de fondo que utiliza toda la página */
body
{
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: 0;
    background-color: #142b6f;
    text-align: justify;
}


/* Edita las propiedades de las anclas en el código en general */
a
{
    text-decoration: none;
    color: white;
    padding: 3px;
    font-size: 18px;
}






/*-------------------- PROPIEDADES DE LA PANTALLA DE CARGA --------------------*/
.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #142b6f;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000; /* Ajusta el valor del z-index para que sea mayor que el de la navbar y lo cubra por completo */
    opacity: 1; /* Establece la opacidad inicial en 1 */
    transition: opacity 0.5s ease-in-out; /* Agrega una transición de 1 segundo para la opacidad */
}

/* Agrega una clase de 'hide' para ocultar el loader */
.loader.hide {
  opacity: 0; /* Establece la opacidad en 0 al ocultar */
  pointer-events: none; /* Evita eventos del ratón en el loader oculto */
}


/* Estilos para el logo giratorio */
.spinner {
  width: 106.3px; /* Ajusta el tamaño del logo */
  height: 114.5px; /* Ajusta el tamaño del logo */
  animation: spin 2s linear infinite; /* Animación de giro */
}

.static-image {
    position: absolute;
    width: 104.3px; 
    height: 112.5px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);   
}

/* Animación de giro */
@keyframes spin {
  0% { transform: rotate(0deg); } /* Inicia en 0 grados */
  100% { transform: rotate(360deg); } /* Gira 360 grados */
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/






/*-------------------- PROPIEDADES DE LA NAVBAR --------------------*/
header 
{
    min-height: 70px;
    display: flex;
    background-color: #142b6f;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    width: 100%;
    position: fixed;
    z-index: 10;
    box-shadow: -5px 5px 20px black;
}

/* Posición de elementos dentro de la navbar */
.nav
{
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Posición del título en la navbar */
.logohead
{
    display: flex;
    align-items: center;
}

/* Posición del logo en la navbar */
.logohead img
{
    height: 75px;
    padding-right: 20px;
    padding-left: 15px;
}

/* Contenedor texto "Emiliani Centro Histórico" en la navbar */
#contenedor 
{ 
    max-width: 100%; margin: 1em auto; 
}

#contenedor .palabra 
{ 
    text-align: center; float: left; width: 100%; 
}

/* Texto "Centro Histórico" que va abajo de "Emiliani" en la navbar */
#contenedor .palabra > span 
{ 
    text-decoration: underline; 
}

/* Propiedades de las anclas en la navbar */
nav a
{
    text-align: center;
    font-weight: 900;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 10px;
    margin: 2.5px;
    transition: background-color 0.2s ease-in-out;
}



/* Propiedades de las anclas en la navbar cuando el cursor está sobre ellas */
nav a:hover
{
    color: white;
    background-color: #ffd601;
}


/* Menú Desplegable con opacity 0 para que sea invisible*/
.vertical-menu
{
    position: absolute;
    list-style: none;
    background-color: #ffd601;
    border-radius: 15px;
    margin-top: -1%;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: all 0.3s ease;
    margin-top: 5px;
}


/* Propiedad para que sea visible y animación */
.navegation li:hover .vertical-menu
{
    opacity: 3;
    transform: scaleY(1);
}

/* Clase para un ancla invisible, el ancla invisible es para crear
  distanciamiento entre la ultima ancla y el límite de la pantalla */
.navinco:hover
{
    background-color: #142b6f;
}

/* Responsive de la Navbar */
    @media (max-width: 1313px)
    {
    header
    {
        flex-direction: column;
    }

    nav 
    {
        padding: 10px 0px
    };
}

/* Clase para que la página actual esté en amarillo sin necesidad del hover */
.actual-page
{
    font-weight: 900;
    padding-right: 30px;
    padding-left: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 10px;
    color: white;
    background-color: #ffd601;
}

/* Propiedades MENÚ RETRACTIL RESPONSIVE */

.header {
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

.header .menu ul li{
    float: left;
    position: relative;
}

.menu ul {
    list-style: none;
}

.navegation ul {
    list-style: none;
}

.navegation {
    margin-right: 50px;
}

.header .navegation ul li {
    float: left;
    position: relative;   
}

.header .navegation ul li a {
    font-size: 18px;
    color: white;
    text-decoration: none;
    padding: 2px 20px;
    display: block;
    transition: all .2s ease;
}

.header .navegation ul li a:hover{
    background-color: #ffd601;
}

.header .navegation ul li:hover > ul {
    display: initial;
}

#toggle,
.header label{
    display: none;
    cursor: pointer;
    background-color: #ffd601;
    border-radius: 4px;
    transition: all .9s ;
    margin-left: 5%;
}

.menu {
    width: 45px;
    height: 45px;
}


/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/






/*HIMNO COLEGIO EMILIANI
----------------------------------*/
/*LOGO Y TÍTULO*/
/* Clase para centrar logo y título */
.centertitle
{
    padding-top: 12%;
    height: 100%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}


.titulohimno 
{
    position: relative;
    display: inline-block;
    text-align: center; /* Añadido para centrar el texto horizontalmente */
}

.titulohimno img 
{
    max-width: 20%;
    height: auto;
    display: block;
    margin: 0 auto; /* Centrar la imagen horizontalmente */
}

.txtitle 
{
    font-family: 'Panton', sans-serif;
    font-family: 'Panton Narrow', sans-serif;
    font-size: 5vh;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #142b6f; /* Fondo semitransparente para el texto */
    padding: 6px;
    white-space: nowrap;
}
/*
Fin de sección -------------------------------------------------------------------------------------------------------------------------------
*/






/* PÁRRAFOS DEL HIMNO */
.himnotxt
{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(310px, 1fr));
    color: white;
    margin-top: 3%;
    gap: 3%;
    margin-bottom: 8%;
    font-size: 1.13em;
    margin-left: 5%;
    margin-right: 5%;
}

.parrafohimno
{
    margin: 5%;
}

.himnotxt h2
{
    color: #ffd601;
    text-align: center;
    padding-bottom: 2%;
}

.himnotxt p
{
    text-align: justify;
    padding-top: 3%;
}








/* RESPONSIVE */
/*------------------------------------------------------------------------------------------------------------------------------------------*/
@media (min-width: 320px) and (max-width: 719px) 
{
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 4%;
        background-color: #142b6f;
        transition: background-color 0.2s ease-in-out;
    }

    .vertical-menu:hover
    {
        background-color: #ffd601;
    }

    .txtitle
    {
        font-size: 1.6em;
        padding: 0px;

    }

    .titulohimno img
    {
        max-width: 40%;
    }

    .centertitle
    {
        padding-top: 40%;
    }

    .himnotxt
    {
        padding-bottom: 50%;
    }

    .menu {
        width: 40px;
        height: 40px;
    }

    .header label {
        display: initial;
    }

    .header {
        flex-direction: row-reverse;
        width: 100%;
    }

    .logohead {
        margin-right: 28%;
    }

    .palabra {
        display: none;
    }

    .logohead img {
        width: 120px;
        height: 90px;
    }

    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#142b6f;
        display: none;
        margin: 0;
    }

    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }

    .header .navegation ul li a{
        padding:  0px 10px  10px;
        font-size: 15px;
    }

    #toggle:checked ~ .navegation {
        display: block;
    }
}
/*------------------------------------------------------------------------------------------------------------------------------------------*/
@media (min-width: 720px)  and (max-width: 1023px)
{
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 1.8%;
        background-color: #142b6f;
        transition: background-color 0.2s ease-in-out;
    }

    .vertical-menu:hover
    {
        background-color: #ffd601;
    }

    .centertitle
    {
        padding-top: 30%;
    }

    .titulohimno img
    {
        max-width: 25%;
    }

    .txtitle
    {
        font-size: 4vh;
    }

    .header label {
        display: initial;
        margin-top: 20px;
    }

    .header {
        flex-direction: row-reverse;
        padding-bottom: 20px;
        width: 100%;
    }

    .logohead {
        display: flex;
        margin-right: 25%;
        padding-top: 20px;
    }

    .palabra {
        font-size: 30px;
    }

    .logohead img {
        width: 140px;
        height: 110px;
    }

    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#142b6f;
        display: none;
        margin: 0;
    }

    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }

    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 25px;
    }

    #toggle:checked ~ .navegation {
        display: block;
    }
}
/*------------------------------------------------------------------------------------------------------------------------------------------*/
@media (min-width:1024px) and (max-width:1079px) 
{

    .navegation {
        margin: 0;
    }
}
/*------------------------------------------------------------------------------------------------------------------------------------------*/
@media (min-width: 1080px) and (min-height: 1080px)
{
    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#142b6f;
        display: none;
        margin: 0;
    }
            
    .header .navegation ul li {
        width: 100%;
        padding: 10px;
    }
            
    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 35px;
    }
            
    #toggle:checked ~ .navegation {
        display: block;
    }
}